QXmlEdit(1)

NAME
qxmledit - simple XML editor and XSD viewer

SYNOPSIS
qxmledit [options] [file]

DESCRIPTION
QXmlEdit is an XML editor with tools to view and manipulate large XML files.

It can edit XML files supporting base 64 coded data, but sports tool for view XSD files, compare XML files, compare XSD files, split large files, anonymizing data and process encodings.

OPTIONS
The parameters are:

-vis <file>
    opens the data visualization panel

-anonymize <inputfile> <profile> <outputfile>
    anonymizes the file <inputfile> using the profile <profile> writing the result into <outputfile>.
    With this option QXmlEdit exits after the operation.

-xsl [-saxon] -xsl=<xslFile> -output=<outputfile> {-p<name>=<value>}* <inputfile>
    executes a XSL transformation on the given files. The "saxon" option allows to use an external engine, if configured. The "-p" options are for setting parameters in the XSL template.
    With this option QXmlEdit exits after the operation.

SAMPLE
qxmledit file_input.xml

AUTHOR
Luca Bellonda and contributors.

COPYRIGHT
Copyright (c) Luca Bellonda Luca Bellonda and contributors 2008-2018. License LGPL V2

This manual page was originally written by Luca Bellonda <lbellonda@gmail.com>